keyword_density.php - Deprecated: preg_replace():

Gesperrt
sarronsarron
Beiträge: 216
Registriert: Do 10. Mär 2011, 17:02
Wohnort: Erlangen
Kontaktdaten:

keyword_density.php - Deprecated: preg_replace():

Beitrag von sarronsarron » Mo 18. Jul 2016, 07:03

Hallo,

ich nutze die Version 4.8.18 und erhalte manchmal den Fehler Deprecated: preg_replace(): in keyword_density.php.
Ich habe schon nachgelesen und gemerkt, dass der Fehler nur sporadisch auftritt. Man sollte auch eine höhere Version umstellen bzw kleinere PHP Version.
Das ist im Moment für mich zu aufwendig.

Gibt es ev. im Script eine Modifikation?

Vielen Dank im Voraus
sarronsarron

Faar
Beiträge: 1493
Registriert: Sa 8. Sep 2007, 16:23
Wohnort: Brandenburg
Kontaktdaten:

Re: keyword_density.php - Deprecated: preg_replace():

Beitrag von Faar » Mo 18. Jul 2016, 08:44

preg_replace() ist nicht deprecated, es ist auch in PHP7 drin: http://php.net/manual/de/function.preg-replace.php

Aber der Modifikator \e ist deprecated, vermutlich steckt der in einer Funktion drin.
Fliegt der Bauer übers Dach, ist der Wind weißgott nicht schwach.

Oldperl
Beiträge: 4049
Registriert: Do 30. Jun 2005, 22:56
Wohnort: Eltmann, Unterfranken, Bayern
Kontaktdaten:

Re: keyword_density.php - Deprecated: preg_replace():

Beitrag von Oldperl » Mo 18. Jul 2016, 11:55

Faar hat geschrieben:Aber der Modifikator \e ist deprecated, vermutlich steckt der in einer Funktion drin.
wird an der Stelle nicht verwendet.
sarronsarron hat geschrieben:ich nutze die Version 4.8.18 und erhalte manchmal den Fehler Deprecated: preg_replace(): in keyword_density.php.
Bitte verwendete PHP-Version und die komplette Meldung aus dem Errorlog hier posten.

Leute, nochmal. Wenn ihr Fehler hier postet, dann gebt uns doch bitte auch gleich vernünftige und ausführliche Angaben zum Fehlerbild. Hilfreich dabei ist immer ein Blick in mein Bugreport- und Fragen-Howto. Es spart uns zahlreiche Nachfragen und hilft euch schneller eine verwertbare Antwort zu erhalten. Danke!

Gruß aus Franken

Ortwin
CONTENIDO 4.9 Entwickler-Handbuch - Publikation auf medium.com zu meinem angedachten Entwickler-Buch zu CONTENIDO 4.9
ConLite 2.0, alternatives und stabiles Update von Contenido 4.8.x
phpBO Search Advanced - das neue Suchwort-Plugin für CONTENIDO 4.9
Mein Entwickler-Blog

Gesperrt